{
  stdenvNoCC,
  fetchFromGitHub,
  lib,
  unstableGitUpdater,
}:

stdenvNoCC.mkDerivation {
  pname = "windows-xp-plymouth";
  version = "0.0.1";

  src = fetchFromGitHub {
    owner = "FraioVeio";
    repo = "plymouth-xp-theme";
    rev = "1bccaff93d867fa29e792e246bf71b80f2c24fcb";
    hash = "sha256-XavQEtvdZTu4vSEYWiREQPhsCg8Lm3gYPThYBCtnOAQ=";
  };

  postPatch = ''
    rm -f README.md LICENSE
  '';

  dontBuild = true;

  installPhase = ''
    runHook preInstall
    mkdir -p $out/share/plymouth/themes/xp
    cp -r * $out/share/plymouth/themes/xp
    find $out/share/plymouth/themes/ -name "*.plymouth" -exec sed -i "s@/usr/@$out/@" {} \;
    runHook postInstall
  '';

  meta = {
    description = "Windows XP-style Plymouth boot theme";
    longDescription = ''
      A nostalgic Plymouth theme inspired by the classic Windows XP boot screen,
      recreated for modern Linux systems.
    '';
    homepage = "https://github.com/FraioVeio/plymouth-xp-theme";
    license = lib.licenses.gpl3;
    platforms = lib.platforms.linux;
    maintainers = with lib.maintainers; [ ];
  };
}

